Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518097 - Configuration link broken for "EvmRole-reader" role
Summary: Configuration link broken for "EvmRole-reader" role
Keywords:
Status: CLOSED DUPLICATE of bug 1515204
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Zita Nemeckova
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 08:25 UTC by Aziza Karol
Modified: 2017-12-05 15:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 09:21:11 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Aziza Karol 2017-11-28 08:25:22 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.10.20171121225911_a2209d2

How reproducible:
100%

Steps to Reproduce:
1. Create a new user with the role EvmRole-reader.
2. Log with the new account
3. click on user on the right top corner and then click on configuration.


Actual results:
Link broken. see attached screenshot.

Expected results:
Should work

Additional info:
production log:
[----] F, [2017-11-28T03:08:21.207796 #3113:16ab14c] FATAL -- : Error caught: [ActionView::Template::Error] undefined method `>=' for nil:NilClass
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:364:in `button_class_name'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:387:in `get_custom_buttons'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:297:in `custom_button_selects'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:339:in `build_custom_toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:329:in `custom_toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:70:in `toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:18:in `build_toolbar'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper/toolbar_builder.rb:6:in `call'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/application_helper.rb:531:in `build_toolbar'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/toolbar_helper.rb:7:in `block in toolbar_from_hash'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/toolbar_helper.rb:6:in `each'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/toolbar_helper.rb:6:in `collect'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/helpers/toolbar_helper.rb:6:in `toolbar_from_hash'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/angular/_toolbar.html.haml:2:in `__opt_rh_cfme_gemset_bundler_gems_manageiq_ui_classic___________ed_app_views_layouts_angular__toolbar_html_haml___354596166848829993_115725700'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_content.html.haml:17:in `__opt_rh_cfme_gemset_bundler_gems_manageiq_ui_classic___________ed_app_views_layouts__content_html_haml__494564644252422715_119651520'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/application.html.haml:51:in `__opt_rh_cfme_gemset_bundler_gems_manageiq_ui_classic___________ed_app_views_layouts_application_html_haml__3296957123223824299_102950800'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:159:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:354:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/template.rb:157:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/template_renderer.rb:66:in `render_with_layout'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/rendering.rb:104:in `_render_template'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rendering.rb:52:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/renderers.rb:142:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/rendering.rb:26:in `render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rendering.rb:36:in `render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby23/root/usr/share/ruby/benchmark.rb:308:in `realtime'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/activerecord-5.0.6/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/controllers/ops_controller.rb:136:in `explorer'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.0.6/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:727:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/conditional_get.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:232:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:226:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/configuration.rb:232:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:578:in `handle_request'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:415:in `process_client'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:275:in `block in run'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/thread_pool.rb:120:in `block in spawn_thread'
[----] I, [2017-11-28T03:08:21.208429 #3113:16ab14c]  INFO -- :   Rendering /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/exception.html.haml within layouts/application
[----] I, [2017-11-28T03:08:21.209095 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_exception_contents.html.haml (0.5ms)
[----] I, [2017-11-28T03:08:21.209175 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/exception.html.haml within layouts/application (0.7ms)
[----] I, [2017-11-28T03:08:21.209342 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_doctype.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.210009 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/stylesheets/_template50.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.210378 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_i18n_js.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.211022 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_about_modal.html.haml (0.3ms)
[----] I, [2017-11-28T03:08:21.214450 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_user_options.html.haml (2.7ms)
[----] I, [2017-11-28T03:08:21.214606 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_spinner.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.214752 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_lightbox_panel.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.214938 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_notifications_drawer.html.haml (0.1ms)
[----] I, [2017-11-28T03:08:21.215109 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_toast_list.html.haml (0.0ms)
[----] I, [2017-11-28T03:08:21.215204 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_header.html.haml (4.6ms)
[----] I, [2017-11-28T03:08:21.322978 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_vertical_navbar.html.haml (107.5ms)
[----] I, [2017-11-28T03:08:21.338567 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/angular/_toolbar.html.haml (15.3ms)
[----] I, [2017-11-28T03:08:21.338675 #3113:16ab14c]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-8875886499ed/app/views/layouts/_content.html.haml (123.3ms)
[----] I, [2017-11-28T03:08:21.338871 #3113:16ab14c]  INFO -- : Completed 500 Internal Server Error in 250ms (ActiveRecord: 4.4ms)
[----] F, [2017-11-28T03:08:21.339565 #3113:16ab14c] FATAL -- :   
[----] F, [2017-11-28T03:08:21.339630 #3113:16ab14c] FATAL -- : ActionView::Template::Error (undefined method `>=' for nil:NilClass):
[----] F, [2017-11-28T03:08:21.339792 #3113:16ab14c] FATAL -- :     1: %ng-csp#miq-toolbar-menu{"ng-controller" => "miqToolbarController as toolbarCtrl",
    2:      "ng-init" => "toolbarCtrl.initObject('#{j_str(toolbar_from_hash.to_json)}')"}
    3:   %miq-toolbar-menu{"toolbar-items" => "toolbarCtrl.toolbarItems",
    4:                     "toolbar-views" => "toolbarCtrl.dataViews",
    5:                     "on-view-click" => "toolbarCtrl.onViewClick(item, $event)"}

Comment 3 Zita Nemeckova 2017-11-30 09:21:11 UTC

*** This bug has been marked as a duplicate of bug 1515204 ***


Note You need to log in before you can comment on or make changes to this bug.